Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class MembershipCapability

    java.lang.Object
      com.bea.netuix.application.communities.MembershipCapability

All Implemented Interfaces
  Serializable

    public class MembershipCapability

extends Object
implements Serializable

Represents a Capability that has been granted to a `CommunityMember` with respect to a single `CommunityMembership`. The set of all `MembershipCapabilities` is developer defineable via a list of configured capabilities in META-INF/communities-config.xml

For more information see the discussion of membership capabilities or the overview of community functionality.

See Also
  Serialized Form

Constructor Summary
`MembershipCapability(String canonicalName, String displayName)`
`MembershipCapability(String canonicalName, String displayName, boolean admin)`

Method Summary
`boolean` | `equals(Object o)`
`static Collection<MembershipCapability>` | `getAllMembershipCapabilities()` Gets a collection of all MembershipCapabilities defined in META-INF/communities-config.xml.
`String` | `getCanonicalName()` Gets the canonical name for this `MembershipCapability`, which is the default non-display name that is intended for use by framework API calls and developer code, and may not be suitable for display purposes.
`static MembershipCapability` | `getCapability(String name)` Gets a `MembershipCapability` object corresponding to a capability defined in META-INF/communities-config.xml with the specified name.
`static MembershipCapability` | `getCapabilityByDisplayName(String displayName)` Gets a `MembershipCapability` object corresponding to a capability defined in META-INF/communities-config.xml with the specified displayName.
`String` | `getDisplayName()` Gets the display name for this `MembershipCapability`, which is an alternate name meant for display purposes, and is intended to be more human readable than the canonical name.
`int` | `hashCode()`
`protected void` | `init(String canonicalName, String displayName)`
`boolean` | `isAdminCapability()` Getter to determine whether or not this `MembershipCapability` has been configured via communities-config.xml to map to an admin capability.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MembershipCapability

    public MembershipCapability(String canonicalName,
                                String displayName)

### MembershipCapability

    public MembershipCapability(String canonicalName,
                                String displayName,
                                boolean admin)

Method Detail

### init

    protected void init(String canonicalName,
                        String displayName)

### getCanonicalName

    public String getCanonicalName()

  Gets the canonical name for this `MembershipCapability`, which is the default non-display name that is intended for use by framework API calls and developer code, and may not be suitable for display purposes.

  Returns
    canonical name

### getDisplayName

    public String getDisplayName()

  Gets the display name for this `MembershipCapability`, which is an alternate name meant for display purposes, and is intended to be more human readable than the canonical name. This name may be null, equal to the canonical name, or an entirely different String from the canonical name.

  Returns
    display name

### isAdminCapability

    public boolean isAdminCapability()

  Getter to determine whether or not this `MembershipCapability` has been configured via communities-config.xml to map to an admin capability.

  Returns
    whether or not this `MembershipCapability` has been mapped to an admin capability

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getAllMembershipCapabilities

    public static Collection<MembershipCapability> getAllMembershipCapabilities()

  Gets a collection of all MembershipCapabilities defined in META-INF/communities-config.xml.

  Returns
    a collection of all MembershipCapabilities defined.

### getCapability

    public static MembershipCapability getCapability(String name)

  Gets a `MembershipCapability` object corresponding to a capability defined in META-INF/communities-config.xml with the specified name. If no such capability exists, this returns null.

  Parameters
    `name` - the name of the defined `MembershipCapability`
  Returns
    a defined `MembershipCapability` if it exists, otherwise null

### getCapabilityByDisplayName

    public static MembershipCapability getCapabilityByDisplayName(String displayName)

  Gets a `MembershipCapability` object corresponding to a capability defined in META-INF/communities-config.xml with the specified displayName. If no such capability exists, this returns null. For any defined `MembershipCapabilities` without a displayName, a match will be returned based on their name instead.

  Parameters
    `displayName` - the name of the defined `MembershipCapability`
  Returns
    a defined `MembershipCapability` if it exists, otherwise null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.